net.corda.node.services.statemachine

## Class SendOnly

- net.corda.node.services.statemachine.SendOnly

- All Implemented Interfaces:
    FlowIORequest, SendRequest, SessionedFlowIORequest

      public class SendOnly
      implements SendRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendOnly(FlowSession session, SessionMessage message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowSession` | `component1()`
    `SessionMessage` | `component2()`
    `SendOnly` | `copy(FlowSession session, SessionMessage message)`
    `boolean` | `equals(java.lang.Object p)`
    `SessionMessage` | `getMessage()`
    `FlowSession` | `getSession()`
    `StackSnapshot` | `getStackTraceInCaseOfProblems()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SendRequest

      `getMessage`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SessionedFlowIORequest

      `getSession`

    - ### Methods inherited from interface net.corda.node.services.statemachine.FlowIORequest

      `getStackTraceInCaseOfProblems`

- - ### Constructor Detail

    - #### SendOnly

          public SendOnly(FlowSession session,
                          SessionMessage message)

  - ### Method Detail

    - #### getStackTraceInCaseOfProblems

          public StackSnapshot getStackTraceInCaseOfProblems()

    - #### getSession

          public FlowSession getSession()

    - #### getMessage

          public SessionMessage getMessage()

    - #### component1

          public FlowSession component1()

    - #### component2

          public SessionMessage component2()

    - #### copy

          public SendOnly copy(FlowSession session,
                               SessionMessage message)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)